I’m sad

Huffduffer in Firefox 4

I can't install the huffduffer extension in FF4. Is there an updated version in the works?
1 person has
this problem
+1
Reply